%---------------- check directory for phase space files -------------------
%--------------------------------------------------------------------------
%
function [ data, ierr ] = psv_get_beamline( data, list_dir )
ierr = 0;

% Get 'x' file data -------------------------------------------------------
for i = 1:length(list_dir)
    x_filename = [data.psv_defaults(data.my_axes).path char(list_dir(i).name)];
    fid_m = fopen(x_filename);
    dummy = fscanf(fid_m,'%e %e %e %e %e %e %e %e %e %e %d %d',[12 1]);
    fclose(fid_m);
    mon_pos(i)=dummy(1);
    s_b_length(i)=dummy(8);
    % for no-force case, sub-bunch length is 0. Set to 20 um.
    if(s_b_length(i) == 0)
       s_b_length(i) = 20.e-6;
    end 
    ps_files(i) = {x_filename};
end

ps_files = sort(ps_files);

psv_message(data, ['There are ' num2str(length(list_dir)) ' files'],1);
psv_message(data, 'Working',0);

[pathstr, name, ext] = fileparts(data.ps(data.my_axes).filename);
aktualFileName       = [ name ext ];
slider_pos           = 1;
for i = 1:length(list_dir)
    if ( strcmp( aktualFileName, list_dir(i).name) == 1)
        slider_pos = i;
        break;
    end;
end

% write beam line info to structure ps
data.ps(data.my_axes).bl.file_names   = ps_files;
data.ps(data.my_axes).bl.act_file     = slider_pos;
data.ps(data.my_axes).bl.s_b_length   = s_b_length;
data.ps(data.my_axes).bl.mon_pos      = mon_pos;
data.ps(data.my_axes).bl.ierr         = 0;
